Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui
Class WindowPersister

    java.lang.Object
      org.ka2ddo.yaac.gui.WindowPersister

All Implemented Interfaces:
  java.awt.event.ComponentListener, java.awt.event.WindowListener, java.lang.Iterable<java.util.Map.Entry<java.awt.Window,java.lang.String>>, java.util.EventListener

    public class WindowPersister

extends java.lang.Object
implements java.awt.event.ComponentListener, java.awt.event.WindowListener, java.lang.Iterable<java.util.Map.Entry<java.awt.Window,java.lang.String>>

This class manages persisting the location and size of windows in the YAAC application.

Constructor Summary
`WindowPersister()`

Method Summary
`void` | `addWindowPersisterListener(WindowPersisterListener l)` Register another listener for top-level window changes.
`void` | `componentHidden(java.awt.event.ComponentEvent e)`
`void` | `componentMoved(java.awt.event.ComponentEvent e)`
`void` | `componentResized(java.awt.event.ComponentEvent e)`
`void` | `componentShown(java.awt.event.ComponentEvent e)`
`static WindowPersister` | `getInstance()`
`java.util.Iterator<java.util.Map.Entry<java.awt.Window,java.lang.String>>` | `iterator()` Returns an iterator over the currently monitored set of Windows.
`void` | `register(java.awt.Window window, java.lang.String name)`
`void` | `removeWindowPersisterListener(WindowPersisterListener l)` Deregister a listener for top-level window changes.
`void` | `windowActivated(java.awt.event.WindowEvent e)`
`void` | `windowClosed(java.awt.event.WindowEvent e)`
`void` | `windowClosing(java.awt.event.WindowEvent e)`
`void` | `windowDeactivated(java.awt.event.WindowEvent e)`
`void` | `windowDeiconified(java.awt.event.WindowEvent e)`
`void` | `windowIconified(java.awt.event.WindowEvent e)`
`void` | `windowOpened(java.awt.event.WindowEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowPersister

    public WindowPersister()

Method Detail

### getInstance

    public static WindowPersister getInstance()

### register

    public void register(java.awt.Window window,
                         java.lang.String name)

### addWindowPersisterListener

    public void addWindowPersisterListener(WindowPersisterListener l)

  Register another listener for top-level window changes.

  Parameters:
    `l` - WindowPersisterListener

### removeWindowPersisterListener

    public void removeWindowPersisterListener(WindowPersisterListener l)

  Deregister a listener for top-level window changes.

  Parameters:
    `l` - WindowPersisterListener

### iterator

    public java.util.Iterator<java.util.Map.Entry<java.awt.Window,java.lang.String>> iterator()

  Returns an iterator over the currently monitored set of Windows.

  Specified by:
    `iterator` in interface `java.lang.Iterable<java.util.Map.Entry<java.awt.Window,java.lang.String>>`
  Returns:
    an Iterator.

### componentHidden

    public void componentHidden(java.awt.event.ComponentEvent e)

  Specified by:
    `componentHidden` in interface `java.awt.event.ComponentListener`

### componentMoved

    public void componentMoved(java.awt.event.ComponentEvent e)

  Specified by:
    `componentMoved` in interface `java.awt.event.ComponentListener`

### componentResized

    public void componentResized(java.awt.event.ComponentEvent e)

  Specified by:
    `componentResized` in interface `java.awt.event.ComponentListener`

### componentShown

    public void componentShown(java.awt.event.ComponentEvent e)

  Specified by:
    `componentShown` in interface `java.awt.event.ComponentListener`

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent e)

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent e)

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent e)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent e)

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent e)

  Specified by:
    `windowDeiconified` in interface `java.awt.event.WindowListener`

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent e)

  Specified by:
    `windowIconified` in interface `java.awt.event.WindowListener`

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent e)

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD